#if !defined(__CONFIG_FILE_H__)
#define __CONFIG_FILE_H__ 1

// ConfigFile.h
// Maurice Castro
// Tue Mar  5 10:23:25 EST 2013

#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

#include <SD.h>

class CfgFile {
  private:
    File cfg;
    char *cfg_filename;
    static boolean initialised;
    boolean opened;
    
  public: 
    boolean open();
    char read();
    boolean available();
    void close();
    static boolean begin(int ss, int cs);
    char *readtok(char *s, int maxlen);
    char *keyvalue(char *key, char *value, int maxlen);
    CfgFile(char *filename);
};

#endif
